# Interface IQuerySuggestCompletion

The IQuerySuggestCompletion interface describes a completion suggestion from the Coveo Machine Learning service (see Coveo Machine Learning.

## Index

### Properties

- executableConfidence
- expression
- highlighted
- score

## Properties

### executableConfidence

executableConfidence: number

- Defined in rest/QuerySuggest.ts :26

Contains a value indicating the confidence level that this suggestion should be executed.

### expression

expression: string

- Defined in rest/QuerySuggest.ts :10

Contains the expression to complete.

### highlighted

highlighted: string

- Defined in rest/QuerySuggest.ts :21

Contains the highlighted expression to complete.

### score

score: number

- Defined in rest/QuerySuggest.ts :16

Contains a value indicating how certain the Coveo Machine Learning service is that this suggestion is actually relevant.

### Hierarchy

- IQuerySuggestCompletion